local isDataScanningForSonic = script["Data Link"].Value.isDataScanningForSonic

isDataScanningForSonic.Changed:Connect(function()
	if isDataScanningForSonic.Value == true then
		script.Parent.Color = Color3.fromRGB(0, 255, 0)
	end
	if isDataScanningForSonic.Value == false then
		script.Parent.Color = Color3.fromRGB(196, 40, 28)
	end
end)